<?php
session_start(); 
////
/// Cierre Jornada
///

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);


header("Content-Type: control_ras_v23/json");

//------------------------------------------------ Prepara la primera pantalla -----------------------------------------------------------------------------------------
$view='jsonfiles/control_ras_v23.json';

$data1=array();
$grid=array();
$output = array();
if(isset($_POST['ras'])){
	$ras = $_POST['ras'];
}
else{
	$ras=$_GET["ras"];
}



if(isset($_POST['btrampa']) && $_POST['btrampa'] == 1){
	$ras = $_POST['cbRampa'];
}
$data1['cbRampa'] = $ras;
$data1['ras']=$ras;
$data1['valRampa'] = $ras;
$config = require ('config.php');
$conexion_camaras=$config['conexion_camaras']; 
$rutafotos="r".$ras."/fotos";
$data1['url']= $config['URL'];  
$data1['extjs']='jscss/control_ras_v23.js?'.trim(date_timestamp_get(date_create()));


$conn_camaras = new SQLite3($conexion_camaras);
if (isset($_POST["exit"]) && $_POST["exit"] == '1') { 

	return;

} else {
	carga_rampas($conn_camaras);
	$tienda2="";
	$ref2="";
	$soporte2="";
	if (isset($_POST["tienda2"])) {
		$tienda2=$_POST["tienda2"];
		$ref2=$_POST["ref2"];
		$soporte2=$_POST["soporte2"];
		$data1['soporte2']=$soporte2;
		$data1['tienda2']=$tienda2;
		$data1['ref2']=$ref2;
	}
	$conn = obtener_basedatos($ras);
	if($conn != null){
		cargadatos($conn,$ras,$tienda2,$ref2,$soporte2,$rutafotos);
	}
	else{
		
	}
	
	

}
$formato = 'fmt02';
if(isset($_POST['formato'])){
	$formato = $_POST['formato'];
}
$data1['formato'] = $formato;
$output = array('data' => $data1, 'view' => $view, 'screen' => $formato);

utf8_encode_deep($output);
echo json_encode($output);	
function login(){
	
}
function obtener_basedatos($rampa){
	$ruta = "/wamp64/www/SPWS/r".$rampa."/r".$rampa."_visual_check.db";
	try{
	$conn = new SQLite3($ruta);
	}catch(Exception $e){
		$conn = null;
	}
	return $conn;
}
function carga_rampas($conn_camaras){
	global $data1;
	$txtRampa = '';
	$valRampa = '';
	$cont = 0;
	$sql = "SELECT * from camaras order by rampa asc";
	$results = $conn_camaras->query($sql);
	while ($row = $results->fetchArray()) {
		$cont++;
		$valRampa = trim($valRampa).",".$row['rampa'];
		if($row['activa'] == 'true'){
			$txtRampa = trim($txtRampa).",".$row['rampa'];
		}
		else{
			$txtRampa = trim($txtRampa).",".$row['rampa']."-OFF";
		}
		if($cont == 1){
			 $valRampa = str_replace(',','',$valRampa);
			$txtRampa = str_replace(',','',$txtRampa);
			
		}
	}
	
	$data1['txtRampa'] = $txtRampa;
	$data1['valRampa'] = $valRampa;
}
//
//------------------------ Carga ultimas peticiones 
// 

function cargadatos($conn,$ras,$tienda2,$ref2,$soporte2,$rutafotos) {

global $data1;	

$chk1='N';
$pics='';

$grid1 = array();

$sql="select zona,tienda,soporte,referencia,des_referencia,momento_inicio, pic, divisor, total_fotos,
						ifnull(momento_fin,'-') momento_fin, ifnull(errores,'-') errores, 
						ifnull(CAST ((JulianDay(momento_fin) - JulianDay(momento_inicio)) * 24 * 3600 AS Integer),'-') segundos
						from peticiones";
	
if ($tienda2!="" or $ref2!="" or $soporte2 != "") {
	$sql=$sql.' where ';
	$chk1='S';
}	
$and='N';			
if ($tienda2!="") {
	$sql=$sql." trim(tienda)='$tienda2'";
	$and='S';
}

if ($ref2!="") {
	if ($and=="S") {
		$sql=$sql.' and ';
	}
	$sql=$sql." trim(referencia)='$ref2'";
	$and = 'S';
}
if ($soporte2!="") {
	if ($and=="S") {
		$sql=$sql.' and ';
	}
	$sql=$sql." trim(soporte)='$soporte2'";
}
$sql=$sql." order by momento_inicio desc limit 600";

$results = $conn->query($sql);
while ($row = $results->fetchArray()) {

	$iestado='';
	$mfin='-';
	$tiempo='-';
	$estado = 1;
	switch ($row['errores']) {
    case '-':
        $iestado='images/ajusteverde.png';
		$estado = 0;
        break;
    case '9999':
        $iestado='images/alertat.png';
		$estado = 9999;
        break;
    case '9998':
        $iestado='images/interrogacion.png';
		$estado = 9998;
        break;
	}


	array_push($grid1, array(
		'zona' => $row['zona'],
		'tienda' => trim($row['tienda']),	
		'soporte' => trim($row['soporte']),
		'txtref' => trim($row['referencia']).' '.trim($row['des_referencia']),
		'ref' => trim($row['referencia']),
		'iestado' => $iestado,
		'estado'=> $estado,
		'divisor' => $row['divisor'],
		'tfotos' => $row['total_fotos'],
		'pic' => $row['pic'],
		'chk1' => $chk1,
		'mpeticion' => substr($row['momento_inicio'],8,2).'-'.substr($row['momento_inicio'],5,2).'-'.substr($row['momento_inicio'],0,4).' '.substr($row['momento_inicio'],11,8),
		'mfin' => $row['momento_fin'],
		'tiempo' => $row['segundos'].' Seg'));

	if ($chk1=='S') {	
		if ($pics=='') {
			$pics=$row['pic'].'#'.$row['total_fotos'].'#'.$row['divisor'];
		} else {
			$pics=$pics.','.$row['pic'].'#'.$row['total_fotos'].'#'.$row['divisor'];
		}		
	}
	
}		

$data1['grid1'] = $grid1;
$data1['rutafotos'] = $rutafotos;
$data1['pics']= $pics;

//$conn=null;

}

function utf8_encode_deep(&$input) {
	
	if (is_string($input)) {
		$input = utf8_encode($input);
	} else if (is_array($input)) {
		foreach ($input as &$value) {
			utf8_encode_deep($value);
		}
		
		unset($value);
	} else if (is_object($input)) {
		$vars = array_keys(get_object_vars($input));
		
		foreach ($vars as $var) {
			utf8_encode_deep($input->$var);
		}
	}
}


?>